<nb-card>
  <nb-card-header>
    <h6>{{ formHeader }}</h6>
  </nb-card-header>

  <nb-card-body>

    <form [formGroup]="myForm" class="mb-3 mt-3" #myNgForm="ngForm" appFormValidator (callback)="doSubmit(form.action.value)">

      <!-- <div *ngIf="formKey != 'BuyerForm3'"> -->
      <div>
        <div class="form-group row">
          <label class="label col-sm-2 col-form-label custom-form-label" [ngClass]="{'red-star' : !viewMode}">Workflow Type</label>
          <div class="col-sm-3">
            <input type="text" nbInput fullWidth formControlName="workflow_type" placeholder="Workflow Type" fieldSize="small" status="primary" readonly />
          </div>

          <label class="label col-sm-2 col-form-label custom-form-label" [ngClass]="{'red-star' : !viewMode}">Committee</label>
          <div class="col-sm-3">
            <nb-select fullWidth placeholder="Please select" formControlName="committee" size="small" status="primary"
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.committee.errors
            }">
              <nb-option [value]="'committee'">Committee</nb-option>
              <nb-option [value]="'non committee'">None Committee</nb-option>
              <nb-option [value]="'exceptional'">Exceptional</nb-option>
            </nb-select>
          </div>
        </div>

        <div class="form-group row">
          <label class="label col-sm-2 col-form-label custom-form-label" [ngClass]="{'red-star' : !viewMode}">Bu</label>
          <div class="col-sm-3" formArrayName="bu">
            <div class="row">
              <div class="col-sm-4 col-form-label pb-0" *ngFor="let obj of bu; let i = index">
                <nb-checkbox status="primary" [checked]="buChecked(obj.value)" [disabled]="viewMode" fieldSize="small" status="primary" (change)="onBuChange($event,i)"
                [ngClass]="{
                  'status-danger': myNgForm.submitted && form.bu.errors
                }">{{ bu[i].name }}</nb-checkbox>&nbsp;
                <!-- <input type="checkbox" [formControl]="obj" [value]="obj.value.name" [checked]="obj.value.checked" />{{ bu[i].name }} &nbsp; -->
              </div>
            </div>
          </div>

          <label class="label col-sm-2 col-form-label custom-form-label" [ngClass]="{'red-star' : !viewMode}">Country</label>
          <div class="col-sm-3">
            <input type="text" nbInput fullWidth formControlName="country" placeholder="Country" fieldSize="small" status="primary" 
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.country.errors
            }"/>
          </div>
        </div>

        <div class="form-group row">
          <label class="label col-sm-2 col-form-label custom-form-label" [ngClass]="{'red-star' : !viewMode}">Product Name TH</label>
          <div class="col-sm-3">
            <input type="text" nbInput fullWidth formControlName="product_name_th" placeholder="Product Name TH" fieldSize="small" status="primary" 
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.product_name_th.errors
            }"/>
          </div>

          <label class="label col-sm-2 col-form-label custom-form-label" [ngClass]="{'red-star' : !viewMode}">Product Name EN</label>
          <div class="col-sm-3">
            <input type="text" nbInput fullWidth formControlName="product_name_en" placeholder="Product Name EN" fieldSize="small" status="primary" 
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.product_name_en.errors
            }"/>
          </div>
        </div>

        <div class="form-group row">
          <label class="label col-sm-2 col-form-label custom-form-label" [ngClass]="{'red-star' : !viewMode}">Supplier Code</label>
          <div class="col-sm-3">
            <input type="text" nbInput fullWidth formControlName="supplier_code" placeholder="Supplier Code" fieldSize="small" status="primary" 
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.supplier_code.errors
            }"/>
          </div>

          <label class="label col-sm-2 col-form-label custom-form-label" [ngClass]="{'red-star' : !viewMode}">Supplier Name</label>
          <div class="col-sm-3">
            <input type="text" nbInput fullWidth formControlName="supplier_name" placeholder="Supplier Name" fieldSize="small" status="primary" 
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.supplier_name.errors
            }"/>
          </div>
        </div>

        <div class="form-group row" *ngIf="moduleName != 'supplier'">
          <label class="label col-sm-2 col-form-label custom-form-label" [ngClass]="{'red-star' : !viewMode}">Committee Week</label>
          <div class="col-sm-3" *ngIf="moduleName == 'buyer'">
            <nb-select fullWidth placeholder="Please select" formControlName="committee_week" size="small" status="primary"
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.committee_week.errors
            }">
              <nb-option *ngFor="let item of committeeItems" [value]="item.value">{{ item.name }}</nb-option>
            </nb-select>
          </div>
          <div class="col-sm-3" *ngIf="moduleName != 'buyer'">
            <input type="text" nbInput fullWidth formControlName="committee_week" placeholder="Committee Week" fieldSize="small" status="primary" />
          </div>

          <ng-container *ngIf="merchandise">
            <label class="label col-sm-2 col-form-label custom-form-label">Action</label>
            <div class="col-sm-3">
              <nb-radio-group class="inline-radio" formControlName="action" status="success">
                <nb-radio class="mr-3" value="approve">Approve</nb-radio>
              </nb-radio-group>
              <nb-radio-group class="inline-radio" formControlName="action" status="warning">
                <nb-radio class="" value="reject">Reject</nb-radio>
              </nb-radio-group>
            </div>
          </ng-container>

          <ng-container *ngIf="formKey == 'BuyerForm2'">
            <label class="label col-sm-2 col-form-label custom-form-label">Distinctive</label>
            <div class="col-sm-3">
              <nb-radio-group class="inline-radio" formControlName="distinctive" status="success">
                <nb-radio class="mr-3" value="true">Yes</nb-radio>
              </nb-radio-group>
              <nb-radio-group class="inline-radio" formControlName="distinctive" status="warning">
                <nb-radio class="" value="false">No</nb-radio>
              </nb-radio-group>
            </div>
          </ng-container>
        </div>
      </div>

      <div *ngIf="formKey == 'BuyerForm3' || formKey == 'MgrForm1' || formKey == 'BysForm1'">
        <hr />
        <div class="form-group row"> 
          <label class="label col-sm-2 col-form-label custom-form-label red-star">Item Characteristics</label>
          <div class="col-sm-3">
            <nb-select fullWidth multiple placeholder="Please select" formControlName="item_characteristics" size="small" status="primary"
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.item_characteristics.errors
            }">
              <nb-option *ngFor="let item of item_characteristics" [value]="item.value">{{ item.name }}</nb-option>
            </nb-select>
          </div>

          <label class="label col-sm-2 col-form-label custom-form-label red-star">Special Purposes</label>
          <div class="col-sm-3">
            <nb-select fullWidth multiple placeholder="Please select" formControlName="special_purposes" size="small" status="primary"
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.special_purposes.errors
            }">
              <nb-option *ngFor="let item of special_purposes" [value]="item.value">{{ item.name }}</nb-option>
            </nb-select>
          </div>
        </div>

        <div class="form-group row">
          <label class="label col-sm-2 col-form-label custom-form-label red-star">Local Import</label>
          <div class="col-sm-3">
            <nb-select fullWidth placeholder="Please select" formControlName="local_import" size="small" status="primary"
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.local_import.errors
            }">
              <nb-option value="Local">Local</nb-option>
              <nb-option value="Import">Import</nb-option>
            </nb-select>
          </div>

          <label class="label col-sm-2 col-form-label custom-form-label red-star">Province</label>
          <div class="col-sm-3">
            <input type="text" nbInput fullWidth formControlName="province" placeholder="Province" fieldSize="small" status="primary" 
            [ngClass]="{
              'status-danger': myNgForm.submitted && form.province.errors
            }"/>
          </div>
        </div>

        <hr />

        <div class="form-group row">
          <div class="col-sm-12 text-center" *ngIf="formKey != 'MgrForm1' && formKey != 'BysForm1'">
            <button type="submit" (click)="form.action.setValue('approve')" hero nbButton status="success" size="small" class="mr-2">
              <i class="fa fa-paper-plane"></i>&nbsp;&nbsp;Approve Product</button>
            <button type="button" hero nbButton status="danger" (click)="doSubmit('cancel')" size="small">
              <i class="fa fa-times"></i>&nbsp;&nbsp;Cancel Product</button>
          </div>
          <div class="col-sm-12 text-center" *ngIf="formKey == 'MgrForm1' || formKey == 'BysForm1'">
            <button type="button" hero nbButton status="success" (click)="doSubmit('approve')" size="small" class="mr-2">
              <i class="fa fa-paper-plane"></i>&nbsp;&nbsp;Approve Product</button>
            <button type="button" hero nbButton status="warning" (click)="doSubmit('reject')" size="small" class="mr-2">
              <i class="fa fa-share-square"></i>&nbsp;&nbsp;Reject Product</button>
            <button *ngIf="formKey != 'BysForm1'" type="button" hero nbButton status="danger" (click)="doSubmit('cancel')" size="small">
              <i class="fa fa-times"></i>&nbsp;&nbsp;Cancel Product</button>
          </div>
        </div>

      </div>

      <hr *ngIf="formKey != 'BuyerForm3' && formKey != 'MgrForm1' && formKey != 'BysForm1'" />
      
      <div class="form-group row" *ngIf="formKey != 'BuyerForm3' && formKey != 'MgrForm1' && formKey != 'BysForm1'">
        <div class="col-sm-12 text-center" *ngIf="!viewMode">
          <button type="submit" (click)="form.action.setValue('submit')" hero nbButton status="success" size="small" class="mr-2">
            <i class="fa fa-check-square"></i>&nbsp;&nbsp;Submit Product</button>
          <button type="button" hero nbButton status="warning" (click)="formReset()" size="small">
            <i class="fa fa-eraser"></i>&nbsp;&nbsp;Clear Data</button>
        </div>
        <div class="col-sm-12 text-center" *ngIf="viewMode">

          <ng-container *ngIf="!merchandise">
            <button type="button" hero nbButton status="success" (click)="doSubmit('approve')" size="small" class="mr-2">
              <i class="fa fa-paper-plane"></i>&nbsp;&nbsp;Approve Product</button>
            <button *ngIf="formKey != 'BuyerForm2'" type="button" hero nbButton status="warning" (click)="doSubmit('reject')" size="small" class="mr-2">
              <i class="fa fa-share-square"></i>&nbsp;&nbsp;Reject Product</button>
            <button *ngIf="formKey != 'QaForm1' && formKey != 'EvpForm1' && formKey != 'EvpForm2'" type="button" hero nbButton status="danger" (click)="doSubmit('cancel')" size="small">
              <i class="fa fa-times"></i>&nbsp;&nbsp;Cancel Product</button>
          </ng-container>
          <ng-container *ngIf="merchandise">
            <button type="button" hero nbButton outline status="primary" (click)="doSave()" size="small" class="mr-4">
              <i class="fa fa-save"></i>&nbsp;&nbsp;Save Review</button>
            <button type="button" hero nbButton status="success" (click)="doSubmit(form.action.value)" size="small" class="mr-2">
              <i class="fa fa-check-square"></i>&nbsp;&nbsp;Submit Product</button>
            <button type="button" hero nbButton status="danger" (click)="doSubmit('cancel')" size="small">
              <i class="fa fa-times"></i>&nbsp;&nbsp;Cancel Product</button>
          </ng-container>

        </div>
      </div>
    </form>

    <button class="mt-3" type="button" hero nbButton status="info" (click)="onBack()" size="small">
      <i class="fa fa-arrow-left "></i>&nbsp;&nbsp;Back
    </button>


  </nb-card-body>

</nb-card>
